An interface used to describe the Request for a browser fetch call. The headers and json fields are json objects.

### Hierarchy

- MarshalableRequestInit

## Index

### Properties

- body
- cache
- credentials
- headers
- integrity
- keepalive
- method
- mode
- redirect
- referrer
- referrerPolicy

## Properties

### Optional body

body?: MarshalableBody

### Optional cache

cache?: RequestCache

### Optional credentials

credentials?: RequestCredentials

### Optional headers

headers?: MarshalableHeaders

### Optional integrity

integrity?: string

### Optional keepalive

keepalive?: boolean

### Optional method

method?: string

### Optional mode

mode?: RequestMode

### Optional redirect

redirect?: RequestRedirect

### Optional referrer

referrer?: string

### Optional referrerPolicy

referrerPolicy?: ReferrerPolicy

Generated using TypeDoc